package nckd.jxccl.wtc.wtabm.web.vaapply;

import kd.bos.entity.operate.result.OperationResult;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.bos.entity.plugin.args.BeforeOperationArgs;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.wtc.wtabm.web.validate.VaApplyCheckValidator;

/**
 * Tyx 2025-12-03
 * 休假申请单校验行政组织范围操作-工作流用
 * 校验当前审批人
 */
public class VaApplyCheckOrgRangeOpPlugin extends AbstractOperationServicePlugIn implements Plugin {


    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
    }

    @Override
    public void beforeExecuteOperationTransaction(BeforeOperationArgs e) {
        super.beforeExecuteOperationTransaction(e);
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.getValidators().add(new VaApplyCheckValidator());
    }
}